/* -*- C++ -*-
 * $Id: flfile.h,v 1.5 2007/01/08 11:55:41 jeremy_henty Exp $
 */

#ifndef RBFLFILE_H
#define RBFLFILE_H

#include <FL/Enumerations.H>

#ifdef HAVE_FL_FL_FILE_CHOOSER_H

#include <FL/Fl_File_Chooser.H>
#include "flbrowser.h"

RBFL_CLASS(File_Browser);

class RBFLFile_Chooser : public Fl_File_Chooser
{
public:
  RBFLFile_Chooser(const char *d, const char *p, int t, const char *title)
    : Fl_File_Chooser(d,p,t,title) {};
};

extern VALUE rb_cFLFile_Browser;
extern VALUE rb_cFLFile_Chooser;

extern "C" void Init_flfile(void);

#endif /* HAVE_FL_FL_FILE_CHOOSER_H */

#endif /* RBFLFILE_H */
