/* -*- C++ -*-
 * $Id: flinput.h,v 1.3 2001/09/10 07:47:44 ttate Exp $
 */

#ifndef RBFLINPUT_H
#define RBFLINPUT_H

#include <FL/Fl_Input.H>
#include <FL/Fl_Float_Input.H>
#include <FL/Fl_Int_Input.H>
#include <FL/Fl_Multiline_Input.H>
#include <FL/Fl_Secret_Input.H>
#include <FL/Fl_Output.H>
#include <FL/Fl_Multiline_Output.H>
#include "flwidget.h"

RBFL_CLASS_WIDGET(Input_);
RBFL_CLASS(Input);
RBFL_CLASS(Float_Input);
RBFL_CLASS(Int_Input);
RBFL_CLASS(Multiline_Input);
RBFL_CLASS(Secret_Input);
RBFL_CLASS(Output);
RBFL_CLASS(Multiline_Output);

extern VALUE rb_cFLInput_;
extern VALUE rb_cFLInput;
extern VALUE rb_cFLFloat_Input;
extern VALUE rb_cFLInt_Input;
extern VALUE rb_cFLMultiline_Input;
extern VALUE rb_cFLSecret_Input;
extern VALUE rb_cFLOutput;
extern VALUE rb_cFLMultiline_Output;

extern "C" void Init_flinput(void);

#endif /* RBFLINPUT_H */
