# $Id: resize.rb,v 1.8 2006/12/31 11:58:23 jeremy_henty Exp $

# capture a resizing operation

require 'fltk'

class ResizableWindow < FLTK::Window
  attr_accessor :out
  def resize(x, y, w, h)
    if out 
      out.value = "Resize this window.\n"
      out.value += "before: (#{self.x}, #{self.y}, #{self.w}, #{self.h})\n"
      super
      out.value += "after: (#{self.x}, #{self.y}, #{self.w}, #{self.h})\n"
    else
      super
    end
  end
end

ResizableWindow.new(200,200,'Resize'){|win|
  out = FLTK::MultilineOutput.new(10,10,180,180)
  out.value("Resize/Move this window!")
  win.size_range(1,1,0,0)
  win.resizable(out)
  win.out = out
  win.show
}

FLTK.run
