# $Id: paste.rb,v 1.10 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

class Display < FLTK::Box
  def handle(event)
    case event
    when FLTK::PASTE
      label(FLTK.event_text)
      return 1
    else
      return super
    end
  end
end

FLTK::Window.new(300,200,'Paste'){|win|
  display  = nil # will set this later 
  FLTK::Button.new(0,0,win.w,30,"Paste"){FLTK.paste(display)}
  display = Display.new(0,30,win.w,170)
  display.box(FLTK::DOWN_BOX)
  win.show
}

FLTK.run
