/* -*- C++ -*-
 * $Id: flveinput.h,v 1.1 2002/10/21 16:12:10 ttate Exp $
 */

#ifndef RBFLVEINPUT_H
#define RBFLVEINPUT_H

/*
 * select macro is defined in ruby-x.x.x/win32/win32.h.
 * This definition conflicts with Fl_Browser::select.
 *                                  Thanks Lorien Dunn
 */
#ifdef select
# undef select
#endif

#include <ruby.h>
#include <FL/Flve_Input.H>
#include <FL/Flve_Check_Button.H>

class RBFLVEInput : public Flve_Input
{
public:
  RBFLVEInput(int x, int y, int w, int h, const char *label = 0):
    Flve_Input(x,y,w,h,label){};
  RBFL_CALLERS(Flve_Input);
};

extern VALUE rb_cFLVEInput;

class RBFLVECheckButton : public Flve_Check_Button
{
public:
  RBFLVECheckButton(int x, int y, int w, int h, const char *label = 0):
    Flve_Check_Button(x,y,w,h,label){};
  RBFL_CALLERS(Flve_Check_Button);
};

extern VALUE rb_cFLVECheckButton;

extern "C" void Init_flveinput(void);

#endif /* RBFLVEINPUT_H */
